Name:       cwirc
Summary:    X-Chat Morse plugin
Version:    2.0.0
Release:    7%{?dist}

URL:        http://myspace.voo.be/pcoupard/cwirc/
Source:     http://myspace.voo.be/pcoupard/cwirc/download/%{name}-%{version}.tar.gz
Patch0:     cwirc-rcfile.patch
Patch1:     cwirc-makefile-fix.patch
License:    GPLv2
Group:      Applications/Internet
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gtk2-devel
 
Requires: xchat >= 2.0.2

%description
X-Chat plugin for sending and receiving raw morse code over IRC.

%prep
%setup -q

# Fix the encoding on LISEZMOI (French Manual) to be UTF-8
recode()
{
        iconv -f "$2" -t utf-8 < "$1" > "${1}_"
        touch -r "$1" "${1}_"
        mv -f "${1}_" "$1"
}
for f in `find LISEZMOI`
 do recode $f iso-8859-15
done

%patch0 -p1 -b %{name}-rcfile.patch
%patch1 -p1 -b %{name}-makefile-fix.patch

%build

make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" TARGET_OS=LINUX PLUGIN_INSTALL_DIRECTORY=dummy\
     FRONTEND_INSTALL_DIRECTORY=dummy\
     CWIRC_EXTENSIONS_DIRECTORY=%{_libdir}/%{name}/extensions
     
%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/%{name}
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/xchat/plugins
mkdir -p $RPM_BUILD_ROOT/%{_bindir}/
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/%{name}/extensions/
cp %{name}.so $RPM_BUILD_ROOT/%{_libdir}/xchat/plugins/%{name}.so
cp cwirc_frontend $RPM_BUILD_ROOT/%{_bindir}/

# No need for a .desktop file since it launches from within Xchat

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README LISEZMOI Changelog COPYING schematics/cw_oscillator.jpg schematics/rs232_key_connection.jpg
%{_libdir}/xchat/plugins/%{name}.so
%{_bindir}/cwirc_frontend
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/extensions



%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 30 2009 Randall J. Berry 'Dp67' <randyn3lrx@gmail.com> 2.0.0-5
- Fix unowned directories Bug #483335

* Sun Sep 28 2008 Randall J. Berry 'Dp67' <randyn3lrx@gmail.com> 2.0.0-4
- Edit spec per review (added release numbers)
- Changed coding of LISEZMOI to UTF-8 while preserving original date
- Add patch to makefile removing strip to generate debug file

* Sun Sep 28 2008 Randall J. Berry 'Dp67' <randyn3lrx@gmail.com> 2.0.0-3
- Edit spec per review
- Changed coding of LISEZMOI to UTF-8
- Further edit to quiet rpmlint
- Patch added to allow {?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" per review

* Tue Sep 23 2008 Randll J. Berry 'Dp67' <randyn3lrx@gmail.com> 2.0.0-2
- Edit spec for Fedora standards
- Check against rpmlint
- rpm build / mock build
- submit for review

* Mon Jan 12 2004 P.P. Coupard <pcoupard@easyconnect.fr> 2.0.0
- First draft of the spec file
